{
    "model": {
        "type": "range_dispatch",
        "property": "custom_model_data",
        "fallback": {
            "type": "model",
            "model": "minecraft:block/crimson_fungus"
        },
        "entries": [
            {
                "threshold": 321,
                "model": {
                    "type": "model",
                    "model": "item/gt/mobs/mushlings/crimson_mushling"
                }
            },
            {
                "threshold": 322,
                "model": {
                    "type": "model",
                    "model": "item/gt/mobs/mushlings/crimson_mushling_walk1"
                }
            },
            {
                "threshold": 323,
                "model": {
                    "type": "model",
                    "model": "item/gt/mobs/mushlings/crimson_mushling_walk2"
                }
            }
        ]
    }
}